package listFW.test;
import listFW.*;

import junit.framework.TestCase;

/**
 * A JUnit test case class.
 * Every method starting with the word "test" will be called when running
 * the test with JUnit.
 */
public class Test_IList extends TestCase {
  
  private boolean printObject(Object o) {
    System.out.println("My list is: "+o.toString());
    return true;
  }

  public void test_MTList() {
    assertTrue(printObject(MTList.Singleton));
  }

  public void test_NEList() {
    assertTrue(printObject(new NEList("a", MTList.Singleton)));
  }

  public void test_IList() {
    IList l = MTList.Singleton;
    assertTrue(printObject(l));
    l = new NEList("a", MTList.Singleton);
    assertTrue(printObject(l));   
    l = new NEList("a", new NEList("b", MTList.Singleton)); 
    assertTrue(printObject(l));   
  }  
}
